@ This file contains code specific to the GNU and Tiny C compiler.
	.section	.text
	.syntax	divided
	.global	__aeabi_uidiv
__aeabi_uidiv:
	stmdb	sp!, {fp, lr}
	mov	fp, sp
	sub	sp, sp, #8
	mov	r2, r1
	mov	r1, r0
	sub	r0, fp, #8		@ Address of record
	bl	div
	ldr	r0, [fp, #-8]		@ Return quotient
	ldm	sp!, {fp, pc}

	.global	__aeabi_uimod
__aeabi_uimod:
	stmdb	sp!, {fp, lr}
	mov	fp, sp
	sub	sp, sp, #8
	mov	r2, r1
	mov	r1, r0
	sub	r0, fp, #8		@ Address of record
	bl	div
	ldr	r0, [fp, #-4]		@ Return remainder
	ldm	sp!, {fp, pc}
